## org.apache.lucene.analysis.fr
Class FrenchStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.FrenchStemFilter

    public final class FrenchStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that stems french words.

It supports a table of words that should not be stemmed at all. The used stemmer can be changed at runtime after the filter object is created (as long as it is a `FrenchStemmer`).

NOTE: This stemmer does not implement the Snowball algorithm correctly, especially involving case problems. It is recommended that you consider using the "French" stemmer in the snowball package instead. This stemmer will likely be deprecated in a future release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`FrenchStemFilter(org.apache.lucene.analysis.TokenStream in)`
`FrenchStemFilter(org.apache.lucene.analysis.TokenStream in, java.util.Set exclusiontable)`

Method Summary
`boolean` `incrementToken()`
`void` `setExclusionTable(java.util.Map exclusiontable)` Set an alternative exclusion list for this filter.
`void` `setStemmer(FrenchStemmer stemmer)` Set a alternative/custom `FrenchStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrenchStemFilter

    public FrenchStemFilter(org.apache.lucene.analysis.TokenStream in)

### FrenchStemFilter

    public FrenchStemFilter(org.apache.lucene.analysis.TokenStream in,
                            java.util.Set exclusiontable)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws java.io.IOException

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Returns:
    Returns true for the next token in the stream, or false at EOS
  Throws:
    `java.io.IOException`

### setStemmer

    public void setStemmer(FrenchStemmer stemmer)

  Set a alternative/custom `FrenchStemmer` for this filter.

### setExclusionTable

    public void setExclusionTable(java.util.Map exclusiontable)

  Set an alternative exclusion list for this filter.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.